ctype_punct
ctype_upper
Ctype Functions
PHP Manual

# ctype_space

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

ctype_space — Check for whitespace character(s)

### Description

bool ctype_space ( string `$text` )

Checks if all of the characters in the provided string, `text`, creates whitespace.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` creates some sort of white space, `FALSE` otherwise. Besides the blank character this also includes tab, vertical tab, line feed, carriage return and form feed characters.

### Examples

Example #1 A ctype_space() example

`<?php
$strings = array('string1' => "\n\r\t", 'string2' => "\narf12", 'string3' => '\n\r\t');
foreach ($strings as $name => $testcase) {
if (ctype_space($testcase)) {
echo "The string '$name' consists of all whitespace characters.\n";
} else {
echo "The string '$name' does not consist of all whitespace characters.\n";
}
}
?>`

The above example will output:

    The string 'string1' consists of all whitespace characters.
    The string 'string2' does not consist of all whitespace characters.
    The string 'string3' does not consist of all whitespace characters.

### Notes

> Note:

> If an integer between -128 and 255 inclusive is provided, it is interpreted as the ASCII value of a single character (negative values have 256 added in order to allow characters in the Extended ASCII range). Any other integer is interpreted as a string containing the decimal digits of the integer.

### See Also

- ctype_cntrl() - Check for control character(s)
- ctype_graph() - Check for any printable character(s) except space
- ctype_punct() - Check for any printable character which is not whitespace or an alphanumeric character

ctype_punct
ctype_upper
Ctype Functions
PHP Manual